# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.28

# Delete rule output on recipe failure.
.DELETE_ON_ERROR:

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Disable VCS-based implicit rules.
% : %,v

# Disable VCS-based implicit rules.
% : RCS/%

# Disable VCS-based implicit rules.
% : RCS/%,v

# Disable VCS-based implicit rules.
% : SCCS/s.%

# Disable VCS-based implicit rules.
% : s.%

.SUFFIXES: .hpux_make_needs_suffix_list

# Command-line flag to silence nested $(MAKE).
$(VERBOSE)MAKESILENT = -s

#Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/pkg/bin/cmake

# The command to remove a file.
RM = /usr/pkg/bin/cmake -E rm -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/build

# Utility rule file for chr_compile.

# Include any custom commands dependencies for this target.
include packages/chr/CMakeFiles/chr_compile.dir/compiler_depend.make

# Include the progress variables for this target.
include packages/chr/CMakeFiles/chr_compile.dir/progress.make

packages/chr/CMakeFiles/chr_compile: packages/chr/guard_entailment.pl
packages/chr/CMakeFiles/chr_compile: packages/chr/chr_translate.pl
packages/chr/CMakeFiles/chr_compile: packages/chr/chr.pl

packages/chr/chr.pl: /tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/chr/chr_swi.pl
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --blue --bold --progress-dir=/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_1) "Generating chr.pl"
	cd /tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/build/packages/chr && /usr/pkg/bin/cmake -E copy_if_different /tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/chr/chr_swi.pl chr.pl

packages/chr/chr_translate.pl: /tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/chr/chr_translate.chr
packages/chr/chr_translate.pl: packages/chr/chr_translate_bootstrap2.pl
packages/chr/chr_translate.pl: packages/chr/guard_entailment.pl
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --blue --bold --progress-dir=/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_2) "-- CHR bootstrap compilation step 4"
	cd /tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/build/packages/chr && ../../src/swipl -f none --nopce -q -s /tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/chr/chr_swi_bootstrap.pl -p "chr=/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/build/packages/chr:/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/chr" -g "chr_compile_step3('/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/chr/chr_translate.chr','chr_translate.pl')" -t halt
	cd /tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/build/packages/chr && ../../src/swipl -f none --nopce -q -s /tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/chr/chr_swi_bootstrap.pl -p "chr=/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/build/packages/chr:/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/chr" -g "chr_compile_step4('/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/chr/guard_entailment.chr','guard_entailment.pl')" -t halt
	cd /tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/build/packages/chr && ../../src/swipl -f none --nopce -q -s /tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/chr/chr_swi_bootstrap.pl -p "chr=/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/build/packages/chr:/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/chr" -g "chr_compile_step4('/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/chr/chr_translate.chr','chr_translate.pl')" -t halt

packages/chr/guard_entailment.pl: /tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/chr/guard_entailment.chr
packages/chr/guard_entailment.pl: packages/chr/chr_translate_bootstrap2.pl
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --blue --bold --progress-dir=/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_3) "-- CHR bootstrap compilation step 3"
	cd /tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/build/packages/chr && ../../src/swipl -f none --nopce -q -s /tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/chr/chr_swi_bootstrap.pl -p "chr=/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/build/packages/chr:/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/chr" -g "chr_compile_step3('/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/chr/guard_entailment.chr','guard_entailment.pl')" -t halt

packages/chr/chr_translate_bootstrap2.pl: /tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/chr/chr_translate_bootstrap2.chr
packages/chr/chr_translate_bootstrap2.pl: packages/chr/chr_translate_bootstrap1.pl
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --blue --bold --progress-dir=/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_4) "-- CHR bootstrap compilation step 2"
	cd /tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/build/packages/chr && ../../src/swipl -f none --nopce -q -s /tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/chr/chr_swi_bootstrap.pl -p "chr=/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/build/packages/chr:/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/chr" -g "chr_compile_step2('/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/chr/chr_translate_bootstrap2.chr','chr_translate_bootstrap2.pl')" -t halt
	cd /tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/build/packages/chr && ../../src/swipl -f none --nopce -q -s /tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/chr/chr_swi_bootstrap.pl -p "chr=/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/build/packages/chr:/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/chr" -g "chr_compile_step3('/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/chr/chr_translate_bootstrap2.chr','chr_translate_bootstrap2.pl')" -t halt

packages/chr/chr_translate_bootstrap1.pl: /tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/chr/chr_translate_bootstrap1.chr
packages/chr/chr_translate_bootstrap1.pl: /tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/chr/chr_translate_bootstrap.pl
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --blue --bold --progress-dir=/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_5) "-- CHR bootstrap compilation step 1"
	cd /tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/build/packages/chr && ../../src/swipl -f none --nopce -q -s /tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/chr/chr_swi_bootstrap.pl -p "chr=/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/build/packages/chr:/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/chr" -g "chr_compile_step1('/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/chr/chr_translate_bootstrap1.chr','chr_translate_bootstrap1.pl')" -t halt
	cd /tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/build/packages/chr && ../../src/swipl -f none --nopce -q -s /tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/chr/chr_swi_bootstrap.pl -p "chr=/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/build/packages/chr:/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/chr" -g "chr_compile_step2('/tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/chr/chr_translate_bootstrap1.chr','chr_translate_bootstrap1.pl')" -t halt

chr_compile: packages/chr/CMakeFiles/chr_compile
chr_compile: packages/chr/chr.pl
chr_compile: packages/chr/chr_translate.pl
chr_compile: packages/chr/chr_translate_bootstrap1.pl
chr_compile: packages/chr/chr_translate_bootstrap2.pl
chr_compile: packages/chr/guard_entailment.pl
chr_compile: packages/chr/CMakeFiles/chr_compile.dir/build.make
.PHONY : chr_compile

# Rule to build all files generated by this target.
packages/chr/CMakeFiles/chr_compile.dir/build: chr_compile
.PHONY : packages/chr/CMakeFiles/chr_compile.dir/build

packages/chr/CMakeFiles/chr_compile.dir/clean:
	cd /tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/build/packages/chr && $(CMAKE_COMMAND) -P CMakeFiles/chr_compile.dir/cmake_clean.cmake
.PHONY : packages/chr/CMakeFiles/chr_compile.dir/clean

packages/chr/CMakeFiles/chr_compile.dir/depend:
	cd /tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/build && $(CMAKE_COMMAND) -E cmake_depends "Unix Makefiles" /tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2 /tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/packages/chr /tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/build /tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/build/packages/chr /tmp/pkgbuild/lang/swi-prolog-lite/work.aarch64eb/swipl-8.0.2/build/packages/chr/CMakeFiles/chr_compile.dir/DependInfo.cmake "--color=$(COLOR)"
.PHONY : packages/chr/CMakeFiles/chr_compile.dir/depend

